var validate_flag=false;
function my_validate(){
	$(".my-validate").each(function(){
		if(mui.os.ios){
			$(this).blur(function(){
				validate_bind($(this));
			});
		 }else{
		 	$(this).keyup(function(){
				var currKey = 0,e = e || event;
				currKey = e.keyCode || e.which || e.charCode;
				var keyName = String.fromCharCode(currKey);
				if (currKey == "13") {
					validate_bind($(this));
				}
			});
		 }
	});	
}
function validate_bind(obj){
	var tel =/^(0?(13|14|15|18)[\d]{9}$|(01|02|03|04|05|06|07|08|09)[\d]{7,10}$|(400|800)[0-9]{7}$)/; //手机,座机(400-800)
	var mobile=/^0?(13|14|15|16|17|18|19)[0-9]{9}$/; //手机号码
	var ch=/^[\u4e00-\u9fa5]{2,}$/;//简体中文(2位以上)
	var ch_en_num=/^[A-Za-z0-9_\-\u4e00-\u9fa5]{1,}$/;//简体中文英文数字(1位以上)
	var email=/^\w[-\w.+]*@([A-Za-z0-9][-A-Za-z0-9]+\.)+[A-Za-z]{2,14}$/; //邮箱
	var http=/^((https|http|ftp|rtsp|mms)?:\/\/)[^\s]+$/; //网址
	var doublebyte=/^[^\x00-\xff]+$/; //简体+繁体中文(包括中文全角符号，全角空格)
	var positive_int=/^[0-9]\d*$/; //正整数0-9
	var negtive_int=/^-[1-9]\d*$/; //负整数
	var qq=/^[1-9]([0-9]{4,12})$/; //腾讯QQ号
	var postalcode=/^\d{6}$/; //中国邮政编码
	var card_id=/^(\d{17}[\d|x]|\d{15})$/; //身份证(国内)
	var full_date=/^\d{4}(\-|\/|.)\d{1,2}\1\d{1,2}$/; //日期格式 (2016\12\12,2016-12-12,2016.12.12)
	var ip=/^(25[0-5]|2[0-4]\d|[0-1]\d{2}|[1-9]?\d)\.(25[0-5]|2[0-4]\d|[0-1]\d{2}|[1-9]?\d)\.(25[0-5]|2[0-4]\d|[0-1]\d{2}|[1-9]?\d)\.(25[0-5]|2[0-4]\d|[0-1]\d{2}|[1-9]?\d)$/;//ip地址
	
	switch (obj.attr('validate-type')){
		case 'tel':
		console.log(obj.val())
				if(tel.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入正确的电话或手机号');}
					return false;
				}
			break;
		case 'mobile':
				if(mobile.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入正确的手机号');}
					return false;
				}
			break;
		case 'ch':
				if(ch.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入简体中文');}
					return false;
				}
			break;
		case 'ch_en_num':
				if(ch_en_num.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入中、英文或数字');}
					return false;
				}
			break;
		case 'email':
				if(email.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入正确的邮箱地址');}
					return false;
				}
			break;
		case 'http':
				if(http.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入正确的网址');}
					return false;
				}
			break;
		case 'doublebyte':
				if(doublebyte.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入简体、繁体中文');}
					return false;
				}
			break;
		case 'positive_int':
				if(positive_int.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入正整数');}
					return false;
				}
			break;
		case 'negtive_int':
				if(negtive_int.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入负整数');}
					return false;
				}
			break;
		case 'qq':
				if(qq.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入正确的QQ号');}
					return false;
				}
			break;
		case 'postalcode':
				if(postalcode.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入正确的邮政编码');}
					return false;
				}
			break;
		case 'ip':
				if(ip.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入正确的IP地址');}
					return false;
				}
			break;
		case 'card_id':
				if(card_id.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入正确的身份证号');}
					return false;
				}
			break;
		case 'full_date':
				if(full_date.test(obj.val())){
					validate_flag=true;
				}else{
					validate_flag=false;
					if(obj.val()!=''){obj.select();mui.alert('请输入正确的日期格式');}
					return false;
				}
			break;
	default:
			break;
	}
}

